package sgc.portal.cw.cw0201.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0201.dto.CW02010001USearch;
import sgc.portal.cw.cw0201.model.CW02010001U;

import java.util.List;

@Mapper
public interface CW02010001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW02010001USearch search);
    
    int getCheckDay(CW02010001U cW02010001U);
    
    int getCheckToDay(CW02010001U cW02010001U);
    
    int getCheck64(CW02010001U cW02010001U);

    int insert(CW02010001U cW02010001U);

    int update(CW02010001U cW02010001U);

    int delete(CW02010001U cW02010001U);
    
    int approve(CW02010001U cW02010001U);
}
